Bug 210939

Summary: multimedia/zoneminder: Update to 1.30-rc2
Product: Ports & Packages Reporter: Ivan <bsd>
Component: Individual Port(s)Assignee: Torsten Zuehlsdorff <tz>
Status: Closed FIXED    
Severity: Affects Only Me CC: pi, tz
Priority: --- Keywords: patch
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch
bsd: maintainer-approval+
patch2
bsd: maintainer-approval+
patch3
bsd: maintainer-approval+
patch4 bsd: maintainer-approval+

Description Ivan 2016-07-09 08:56:07 UTC
Created attachment 172276 [details]
patch

I tested new version in poudriere against 11amd64, 10amd64, 9i386
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-10 07:01:03 UTC
Thank you Ivan

Please set maintainer-approval to + on attachments for ports you are maintainer of
Comment 2 Ivan 2016-07-10 08:46:23 UTC
(In reply to Kubilay Kocak from comment #1)
Done.
Comment 3 Ivan 2016-07-12 20:53:38 UTC
Created attachment 172426 [details]
patch2

This one will update ZM to rc2 and fix linker error under FreeBSD 9
Comment 4 Torsten Zuehlsdorff freebsd_committer 2016-07-15 15:28:23 UTC
Hello Ivan,

when checking your patch with "make stage-qa" i get a long list:

====> Running Q/A tests (stage-qa)
Warning: you need USES=ssl
Error: /usr/local/bin/zma is linked to /usr/local/lib/libcurl.so.4 from ftp/curl but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libcurl.so:ftp/curl
Error: /usr/local/bin/zma is linked to /usr/local/lib/libssl.so.8 from security/openssl but it is not declared as a dependency
Warning: you need USES=ssl
Error: /usr/local/bin/zma is linked to /usr/local/lib/libcrypto.so.8 from security/openssl but it is not declared as a dependency
Warning: you need USES=ssl
Error: /usr/local/bin/zma is linked to /usr/local/lib/libpcre.so.1 from devel/pcre but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libpcre.so:devel/pcre
Error: /usr/local/bin/zma is linked to /usr/local/lib/libgcrypt.so.20 from security/libgcrypt but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libgcrypt.so:security/libgcrypt
Error: /usr/local/bin/zma is linked to /usr/local/lib/libgnutls.so.30 from security/gnutls but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libgnutls.so:security/gnutls
Error: /usr/local/bin/zma is linked to /usr/local/lib/libvlc.so.5 from multimedia/vlc but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libvlc.so:multimedia/vlc
====> Running Q/A tests (stage-qa)
Warning: you need USES=ssl
Error: /usr/local/bin/zma is linked to /usr/local/lib/libcurl.so.4 from ftp/curl but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libcurl.so:ftp/curl
Error: /usr/local/bin/zma is linked to /usr/local/lib/libssl.so.8 from security/openssl but it is not declared as a dependency
Warning: you need USES=ssl
Error: /usr/local/bin/zma is linked to /usr/local/lib/libcrypto.so.8 from security/openssl but it is not declared as a dependency
Warning: you need USES=ssl
Error: /usr/local/bin/zma is linked to /usr/local/lib/libpcre.so.1 from devel/pcre but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libpcre.so:devel/pcre
Error: /usr/local/bin/zma is linked to /usr/local/lib/libgcrypt.so.20 from security/libgcrypt but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libgcrypt.so:security/libgcrypt
Error: /usr/local/bin/zma is linked to /usr/local/lib/libgnutls.so.30 from security/gnutls but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libgnutls.so:security/gnutls
Error: /usr/local/bin/zma is linked to /usr/local/lib/libvlc.so.5 from multimedia/vlc but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libvlc.so:multimedia/vlc

The portframe changed, so you need to set dependencies directly. Some time ago it was okay to declare a dependencies, which brings all other needed dependencies with it. Today you need to define them explicitly. Can you revise your patch please?

Greetings,
Torsten
Comment 5 Ivan 2016-07-15 15:48:23 UTC
That is normal situation. cmake pickups optional dependencies that are not required/not tested.
Comment 6 Ivan 2016-07-16 12:07:37 UTC
Created attachment 172578 [details]
patch3
Comment 7 Torsten Zuehlsdorff freebsd_committer 2016-07-22 13:13:39 UTC
When build on 9.3 stage-qa finds one last error:

====> Running Q/A tests (stage-qa)
Error: /usr/local/bin/zma is linked to /usr/local/lib/libexecinfo.so.1 from devel/libexecinfo but it is not declared as a dependency
Warning: you need USES+=execinfo

Other testbuilds are in work.
Comment 8 Torsten Zuehlsdorff freebsd_committer 2016-07-22 14:02:38 UTC
At 10.x it builds fine. So this is the last error to fix. And then its committable! :)
Comment 9 Ivan 2016-07-22 16:01:32 UTC
Created attachment 172841 [details]
patch4

Strange, we had it already
.if ${OPSYS} == FreeBSD && ${OSVERSION} < 1000000
USES+=  execinfo
LDFLAGS+=       -L${LOCALBASE}/lib
.endif

OK, let's set lib_depends then.
Comment 10 Torsten Zuehlsdorff freebsd_committer 2016-07-26 08:10:14 UTC
New patch is fine and will be committed soon :)
Comment 11 commit-hook freebsd_committer 2016-07-27 08:01:57 UTC
A commit references this bug:

Author: tz
Date: Wed Jul 27 08:01:05 UTC 2016
New revision: 419167
URL: https://svnweb.freebsd.org/changeset/ports/419167

Log:
  multimedia/zoneminder: Upgrade from 1.30.0-rc1 to 1.30.0-rc2

  Changes: https://github.com/ZoneMinder/ZoneMinder/releases/tag/v1.30.0-rc2

  PR:           210939
  Submitted by: Ivan <bsd@abinet.ru>
  Approved by:  pi (mentor)

Changes:
  head/multimedia/zoneminder/Makefile
  head/multimedia/zoneminder/distinfo
  head/multimedia/zoneminder/files/patch-src_zm__local__camera.h
  head/multimedia/zoneminder/pkg-plist
Comment 12 Torsten Zuehlsdorff freebsd_committer 2016-07-27 08:02:57 UTC
Committed, thanks!